#!/usr/bin/env python3
from ev3dev2.sensor.lego import UltrasonicSensor
from ev3dev2.button import Button

try:
    us = UltrasonicSensor()
    #Set mode of ultrasonic sensor
    # Put the US sensor into distance mode.
    us.mode='US-DIST-CM'
   
    btn=Button() 
    while not btn.any():
        # Stop program by pressing  button
        # us sensor will measure distance to the obstacle in front of it.
        distance = us.value()/10  # convert mm to cm
        print(str(distance) + " " )
except Exception as e:
    print(e)
