#!/usr/bin/env python3
from ev3dev2.sensor.lego import UltrasonicSensor
from ev3dev2.motor import LargeMotor,OUTPUT_B,OUTPUT_C

try:
    #Connect two large motors to port B and port C
    mb = LargeMotor(OUTPUT_B)
    mc = LargeMotor(OUTPUT_C)
    us = UltrasonicSensor()
    us.mode='US-DIST-CM'
    mc.on(10)
    mb.on(10)
    while us.value()/10>50:
        distance = us.value()/10  # convert mm to cm
        print(str(distance))

    mc.off()
    mb.off()
except Exception as e:
    print(e)
